## ros-indigo-lama-interfaces 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lama_interfaces)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED
  COMPONENTS
  geometry_msgs
  lama_msgs
  message_generation
  nav_msgs
  sensor_msgs
  )

## System dependencies are found with CMake's conventions
#find_package(PkgConfig)
#pkg_check_modules(SQLITE REQUIRED sqlite3)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   )

## Generate services in the 'srv' folder
add_service_files(
  FILES
  AddInterface.srv
  ActOnMap.srv
  GetPolygon.srv
  SetPolygon.srv
  GetDouble.srv
  SetDouble.srv
  GetVectorDouble.srv
  SetVectorDouble.srv
  GetVectorLaserScan.srv
  SetVectorLaserScan.srv
  GetVectorOdometry.srv
  SetVectorOdometry.srv
  GetVectorPose.srv
  SetVectorPose.srv
  )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  lama_msgs
  sensor_msgs
  nav_msgs
  )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  #INCLUDE_DIRS include
  #LIBRARIES

  CATKIN_DEPENDS
  geometry_msgs
  lama_msgs
  message_runtime
  nav_msgs
  rospy
  sensor_msgs

  DEPENDS
  python-sqlalchemy
  python-nose
  )

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
# include_directories(
#   ${catkin_INCLUDE_DIRS}
#   )

## Declare a cpp library
#add_library(lama_core src/lama_core.cpp)

## Declare a cpp executable
# set(SRC ${SRC} src/lama_interfaces.cpp)
# add_executable(lama_interfaces ${SRC})

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
#add_dependencies(lama_interfaces_node lama_interfaces_generate_messages_cpp)

## Specify libraries to link a library or executable target against
#target_link_libraries(lama_interfaces_node ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
catkin_install_python(PROGRAMS
  scripts/map_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS lama_interfaces lama_interfaces_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  launch/init_lama.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roscpp REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
    ${roscpp_INCLUDE_DIRS}
    )
  ## Add gtest based cpp test target and link libraries
  add_rostest_gtest(${PROJECT_NAME}_roscpp-test test/test_interfaces_roscpp.test test/utest.cpp)
  if(TARGET ${PROJECT_NAME}_roscpp-test)
    add_dependencies(${PROJECT_NAME}_roscpp-test lama_interfaces_generate_messages_cpp)
    target_link_libraries(${PROJECT_NAME}_roscpp-test ${catkin_LIBRARIES} ${roscpp_LIBRARIES})
  endif()

  ## Add folders to be run by python nosetests
  # catkin_add_nosetests(test)
  foreach(T
      test/test_core.test
      test/test_interfaces_serialized.test
      test/test_interfaces_cleartext.test)
    add_rostest(${T})
  endforeach()
endif()

=== debian/changelog ===
ros-indigo-lama-interfaces (0.1.3-0trusty) trusty; urgency=high

  * debug instead of info
  * more robust default engine
  * change test target name
  * remove unused test_interfaces.py
  * add missing target dependency
  * fix import in graph_builder.py
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 10 Feb 2015 23:00:00 -0000

ros-indigo-lama-interfaces (0.1.1-0trusty) trusty; urgency=high

  * lama_interfaces, lama_jockeys: update install
  * all: move some messages from lama_interfaces to lama_msgs
    lama_interfaces: update install script
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Wed, 07 Jan 2015 23:00:00 -0000

ros-indigo-lama-interfaces (0.1.0-0trusty) trusty; urgency=high

  * Fist public release for Indigo
  * Contributors: Gaël Ecorchard, Karel Košnar

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 06 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-lama-interfaces
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, python-nose, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/lama_interfaces
Standards-Version: 3.9.2

Package: ros-indigo-lama-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-sqlalchemy, ros-indigo-genpy, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-sensor-msgs
Description: The lama_interfaces package provides the interfaces between ROS nodes (such as jockeys from lama_jockeys) and the map.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-lama-interfaces//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
